Alya - Task #20962

Fix : To add outputfile parameter in SlowQueryDone() and testing result
26/08/2024 11:06 AM - Kanchan Barve

Status: In Progress Start date: 26/08/2024
Priority: Normal Due date:

Assignee: Kanchan Barve % Done: 70%
Category: Estimated time: 0.00 hour
Target version:

Description

Associated revisions

Revision fc5e5088 - 26/08/2024 04:04 PM - Kanchan Barve

refs : #20962 - outputfile parameter added in SlowQueryDone() and tested result with example of report generation

Revision de7ee5d7 - 28/08/2024 07:12 PM - Kanchan Barve
#20962 - outputfiles and result updated in redis

Revision ae0d4927 - 03/09/2024 03:28 PM - Kanchan Barve
refs : #20962 - status-based condition added for output of SlowQueryDone()

Revision a79b1453 - 09/04/2025 12:18 PM - Tushar-Remiges
Update outputfile parameter in slowquery record #20962

e addedoutputfile in the query to update slow query result
e udpated cache retrival to handle outputfile as well

Revision 28f4eafc - 14/04/2025 05:10 PM - Sachin Divekar

Merge pull request #11 from Tushar-Remiges/main

Update outputfile parameter in slowquery record #20962

History

#1 - 26/08/2024 11:06 AM - Kanchan Barve

- Status changed from New to In Progress

#2 - 26/08/2024 06:49 PM - Kanchan Barve
- % Done changed from 0 to 70

till now i've done followinng updates

e modified updateslowQuery in jobmanager - updated outputfiles in batches table.
* modified SlowQueryDone() - added outputfile parameter ,updated getting batchdetails and updating outputfiles and result accordingly.
¢ tested SlowQueyDone Result.

#3 - 28/08/2024 07:13 PM - Kanchan Barve

¢ In SlowQueryDone() if key exists in redis then result and outputfiles are returned from redis.[In redis outfiles and result updated along with status]

#4 - 03/09/2024 03:31 PM - Kanchan Barve

¢ added status-based condition added for output of SlowQueryDone()
